Bug 148024 - latest squid update breaks some languages
latest squid update breaks some languages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-14 16:52 EST by Nerijus Baliūnas
Modified: 2014-08-31 19:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-30 18:17:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nerijus Baliūnas 2005-02-14 16:52:51 EST
After latest squid update for FC3 (squid-2.5.STABLE7-1.FC3.1) I get when
launching squid:
errorTryLoadText: '/usr/share/squid/errors/Lithuanian/ERR_INVALID_RESP': (2) No
such file or directory
Korean, Polish, Portuguese, Romanian and Lithuanian languages are missing file
ERR_INVALID_RESP. It seems squid-2.5.STABLE7-header_parsing.patch, which is in
this update, is not full.

Another thing - earlier error_directory in squid.conf was /etc/squid/errors, now
- /usr/share/squid/errors/English. So earlier I could just change a link
/etc/squid/errors, now I have to change squid.conf. Was this change intentional?

squid.spec has:
 case "$LANG" in
  bg*)
     DIR=Bulgarian
     ;;
...

it would be nice that this list is updated with all the languages squid now has
support for. I can provide a patch if needed.

I'd suggest updating to squid-2.5.STABLE8, which was recently released, then
squid-2.5.STABLE7-header_parsing.patch is not needed.
Comment 1 Nerijus Baliūnas 2005-03-21 19:28:25 EST
The issue with breaking some languages is fixed in the latest update
(squid-2.5.STABLE8-1.FC3.1).
What about other 2 issues? BTW, if you will not return to using
/etc/squid/errors, the case "$LANG" section in squid.spec can be removed.
Comment 2 Nerijus Baliūnas 2005-03-30 18:17:39 EST
In squid-2.5.STABLE9-1.FC3.4 you removed references to /etc/squid/errors from
spec file, so I'm closing this.

Note You need to log in before you can comment on or make changes to this bug.